<div class="container">
  <div class="title-block">
    <h1>{{ user != null ? 'Edit' : 'Create' }} user</h1>
  </div>

  <form (ngSubmit)="submit()" [formGroup]="form">
    <mat-form-field appearance="outline">
      <mat-label>Name</mat-label>
      <input type="text" matInput placeholder="Type your name" formControlName="name">
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <!-- <mat-hint>Hint</mat-hint> -->
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Email</mat-label>
      <input type="text" matInput placeholder="Type your name" formControlName="email" [readonly]="user != null">
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <!-- <mat-hint>Hint</mat-hint> -->
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Password</mat-label>
      <input type="password" matInput placeholder="Type your name" formControlName="password" [readonly]="user != null">
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <!-- <mat-hint>Hint</mat-hint> -->
    </mat-form-field>
    <div class="button-block">
      <button type="button" mat-raised-button (click)="closeModal()" [disabled]="clicked">Cancel</button>
      <button type="submit" mat-raised-button color="primary" [disabled]="!form.valid || clicked">{{ user != null ? 'Edit' : 'Create' }}</button>
    </div>
  </form>
</div>